<?php

/**
 * @file
 * LiteJazz theme-settings.php
 */

function litejazz_form_system_theme_settings_alter(&$form, \Drupal\Core\Form\FormStateInterface $form_state) {

//  $unit_options = array('%' => '%', 'px' => 'px', 'em' => 'em');
//  $theme = $form_state['build_info']['args'][0];

  $form['page'] = array(
    '#type' => 'details',
    '#title' => t('Page settings'),
    '#open' => TRUE,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );
  $form['font'] = array(
    '#type' => 'details',
    '#title' => t('Font settings'),
    '#open' => FALSE,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );
  $form['misc'] = array(
    '#type' => 'details',
    '#title' => t('Misc settings'),
    '#open' => FALSE,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['page']['litejazz_style'] = array(
    '#type' => 'select',
    '#title' => t('Style'),
    '#description' => t('Choose your favorite color.'),
    '#default_value' => theme_get_setting('litejazz_style', $theme = NULL),
    '#options' => array(
      'red' => t('Red'),
      'green' => t('Green'),
      'blue' => t('Blue'),
    ),
  );

  $form['page']['litejazz_themelogo'] = array(
    '#type' => 'checkbox',
    '#title' => t('Use Themed Logo'),
    '#default_value' => theme_get_setting('litejazz_themelogo', $theme = NULL),
  );

  $form['misc']['litejazz_pickstyle'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable StylePicker JavaScript'),
    '#description' => t('If enabled then you can use stylepicker see README.txt.'),
    '#default_value' => theme_get_setting('litejazz_pickstyle', $theme = NULL),
  );

  $form['page']['litejazz_width'] = array(
    '#type' => 'textfield',
    '#title' => t('Width Size'),
    '#description' => t('Set the width. You  can set the width in percent for dynamic width or in px for fixed width.<br /><b>eg.: 850px or 60%</b>'),
    '#default_value' => theme_get_setting('litejazz_width', $theme = NULL),
    '#size' => 7,
    '#maxlength' => 7,
  );

/*  $form['litejazz_breadcrumb'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show Breadcrumbs'),
    '#default_value' => theme_get_setting('litejazz_breadcrumb', $theme = NULL),
  );
*/  
  $form['font']['litejazz_fontfamily'] = array(
    '#type' => 'select',
    '#title' => t('Font Family'),
    '#description' => t('Choose your favorite Fonts'),
    '#default_value' => theme_get_setting('litejazz_fontfamily', $theme = NULL),
    '#options' => array(
     'Arial, Verdana, sans-serif' => t('Arial, Verdana, sans-serif'),
     '"Arial Narrow", Arial, Helvetica, sans-serif' => t('"Arial Narrow", Arial, Helvetica, sans-serif'),
     '"Times New Roman", Times, serif' => t('"Times New Roman", Times, serif'),
     '"Lucida Sans", Verdana, Arial, sans-serif' => t('"Lucida Sans", Verdana, Arial, sans-serif'),
     '"Lucida Grande", Verdana, sans-serif' => t('"Lucida Grande", Verdana, sans-serif'),
     'Tahoma, Verdana, Arial, Helvetica, sans-serif' => t('Tahoma, Verdana, Arial, Helvetica, sans-serif'),
     'Georgia, "Times New Roman", Times, serif' => t('Georgia, "Times New Roman", Times, serif'),
     'Custom' => t('Custom (specify below)'),
    ),
  );

  $form['font']['litejazz_customfont'] = array(
    '#type' => 'textfield',
    '#title' => t('Custom Font-Family Setting'),
    '#description' => t('type your fonts separated by ,<br />eg. <b>"Lucida Grande", Verdana, sans-serif</b>'),
    '#default_value' => theme_get_setting('litejazz_customfont', $theme = NULL),
    '#size' => 40,
    '#maxlength' => 75,
  );
/*
  $form['misc']['litejazz_uselocalcontent'] = array(
    '#type' => 'checkbox',
    '#title' => t('Include Custom Stylesheet'),
    '#default_value' => theme_get_setting('litejazz_uselocalcontent', $theme = NULL),
  );


  $form['misc']['litejazz_local_content_file'] = array(
    '#type' => 'textfield',
    '#title' => t('Path to Custom Stylesheet'),
    '#description' => t('type the location of your custom css without leading slash<br />eg. <b>sites/all/themes/newsflash/css/icons.css</b>'),
    '#default_value' => theme_get_setting('litejazz_local_content_file', $theme = NULL),
    '#size' => 40,
    '#maxlength' => 75,
  );
*/
  $form['page']['litejazz_leftsidebarwidth'] = array(
    '#type' => 'textfield',
    '#title' => t('Left Sidebar Width'),
    '#description' => t('Set the width in Pixel.'),
    '#default_value' => theme_get_setting('litejazz_leftsidebarwidth', $theme = NULL),
    '#size' => 5,
    '#maxlength' => 5,
  );

  $form['page']['litejazz_rightsidebarwidth'] = array(
    '#type' => 'textfield',
    '#title' => t('Right Sidebar Width'),
    '#description' => t('Set the width in Pixel.'),
    '#default_value' => theme_get_setting('litejazz_rightsidebarwidth', $theme = NULL),
    '#size' => 5,
    '#maxlength' => 5,
  );

  $form['misc']['litejazz_suckerfish'] = array(
    '#type' => 'checkbox',
    '#title' => t('Use Suckerfish Menus'),
    '#default_value' => theme_get_setting('litejazz_suckerfish', $theme = NULL),
  );

  $form['misc']['litejazz_usecustomlogosize'] = array(
    '#type' => 'checkbox',
    '#title' => t('Specify Custom Logo Size'),
    '#default_value' => theme_get_setting('litejazz_usecustomlogosize', $theme = NULL),
  );

  $form['misc']['litejazz_logowidth'] = array(
    '#type' => 'textfield',
    '#title' => t('Logo Width'),
    '#description' => t('Set the width in Pixel.'),
    '#default_value' => theme_get_setting('litejazz_logowidth', $theme = NULL),
    '#size' => 5,
    '#maxlength' => 5,
  );

  $form['misc']['litejazz_logoheight'] = array(
    '#type' => 'textfield',
    '#title' => t('Logo Height'),
    '#description' => t('Set the width in Pixel.'),
    '#default_value' => theme_get_setting('litejazz_logoheight', $theme = NULL),
    '#size' => 5,
    '#maxlength' => 5,
  );

  $form['misc']['litejazz_theme_footer'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show RoopleTheme footer Logo'),
    '#description' => t('if unchecked then roople logo in the footer will disapear<br>so you don\'t need touch the code'),
    '#default_value' => theme_get_setting('litejazz_theme_footer', $theme = NULL),
  );
  
  $form['litejazz_local_content_file'] =
    array(
    '#type' => 'textarea',
    '#title' => t('Custom style area'),
//    '#description' => t('type the location of your custom css without leading slash<br />eg. <strong>sites/all/themes/newsflash/css/icons.css</strong>'),
    '#description' => t('You can write your own css code here'),
    '#default_value' => theme_get_setting('litejazz_local_content_file', $theme = NULL),
//    '#size' => 40,
//    '#maxlength' => 75,
  );

//  return $form;
}
